Namespace
library
Image / Tag
docker:19.03-dind
Content Digest
sha256:c85365ad08c7f6e02ac962a8759c4a5b8512ea5c294d3bb9ed25fca52e9e22e5
Details
Created

2021-07-21 18:20:02 UTC

Size

70.9 MB

Content Digest
Environment
DIND_COMMIT

42b1175eda071c0e9121e1d64345928384a93df1

DOCKER_TLS_CERTDIR

/certs

DOCKER_VERSION

19.03.15

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:540db60ca9383eac9e418f78490994d0af424aab7bf6d0e47ac8ed4e2e9bcbba - 3.78% (2.68 MB)

[#001] sha256:5a38b3726f4b24fa93b80450be63ad67fd3239c2f3b83695118d7b1a88447d84 - 2.76% (1.96 MB)

[#002] sha256:e5fa5deb334027202841b051d10e7c7137fa3b63e97734309cedf6b48804df5f - 0.0% (154 Bytes)

[#003] sha256:09182082685c0a1147c9f22948720af9bb3544411a1b50562d18071cf31b8e21 - 84.61% (60 MB)

[#004] sha256:4562e3055ed2549b93e450d764e41b62a485d16bafb1f1ed6b67fd610444aa44 - 0.0% (545 Bytes)

[#005] sha256:b4de57a4336a3a0ab0e109ff4c769bce1d354c121fe62fd5f6063c53fd009d61 - 0.0% (1016 Bytes)

[#006] sha256:542e5df0dc5eda03440d4a00ca01ceefa7cb8282a9d7b406fd54dabcdf4197c0 - 0.0% (149 Bytes)

[#007] sha256:8586280a334732de42259c879b0c7d8a9a16bfcb8764f797a9cdd720aac766bf - 8.84% (6.27 MB)

[#008] sha256:8926df9acf368d91f3a21b4465c45354ea1b091727a6297d78629f0e963576ca - 0.0% (1.28 KB)

[#009] sha256:8378b8f62b916e8b443090f2421b0c73ddef9f0fe93544516b22837b95fa9a29 - 0.0% (984 Bytes)

[#010] sha256:84616459de5ba2ec2dbc43651c8f2b3200a8f0b820a3faedbd4aea29ace856b9 - 0.0% (2.56 KB)


History
2021-04-14 19:19:39 UTC

/bin/sh -c #(nop) ADD file:8ec69d882e7f29f0652d537557160e638168550f738d0d49f90a7ef96bf31787 in /

2021-04-14 19:19:39 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-04-14 20:16:58 UTC

/bin/sh -c apk add --no-cache ca-certificates openssh-client

2021-04-14 20:16:59 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2021-04-14 20:17:37 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=19.03.15

2021-04-14 20:17:44 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-19.03.15.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-19.03.15.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-19.03.15.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-19.03.15.tgz'; ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; wget -O docker.tgz "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2021-04-14 20:17:44 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2021-04-14 20:17:45 UTC

/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/

2021-04-14 20:17:45 UTC

/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs

2021-04-14 20:17:46 UTC

/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client

2021-04-14 20:17:46 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-04-14 20:17:46 UTC

/bin/sh -c #(nop) CMD ["sh"]

2021-04-14 20:17:52 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2021-04-14 20:17:53 UTC

/bin/sh -c set -eux; addgroup -S dockremap; adduser -S -G dockremap dockremap; echo 'dockremap:165536:65536' >> /etc/subuid; echo 'dockremap:165536:65536' >> /etc/subgid

2021-04-30 21:20:01 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=42b1175eda071c0e9121e1d64345928384a93df1

2021-04-30 21:20:02 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2021-07-21 18:20:02 UTC

/bin/sh -c #(nop) COPY file:89f2c7c1492b0cb067fc6be48e1edf3f04c0b6063371da4a48cd4ca35aa098d7 in /usr/local/bin/

2021-07-21 18:20:02 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2021-07-21 18:20:02 UTC

/bin/sh -c #(nop) EXPOSE 2375 2376

2021-07-21 18:20:02 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2021-07-21 18:20:02 UTC

/bin/sh -c #(nop) CMD []

Details
Created

2021-07-21 18:40:04 UTC

Size

64.1 MB

Content Digest
Environment
DIND_COMMIT

42b1175eda071c0e9121e1d64345928384a93df1

DOCKER_TLS_CERTDIR

/certs

DOCKER_VERSION

19.03.15

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:595b0fe564bb9444ebfe78288079a01ee6d7f666544028d5e96ba610f909ee43 - 4.03% (2.59 MB)

[#001] sha256:760b2af61afd8be1692509633c019a7e81fa1569a3da52c9ea927e0918c359c9 - 3.06% (1.96 MB)

[#002] sha256:822cd1a3e72a66f4a7545358b8beadbe33212146ff06a2622e305acd422f75d3 - 0.0% (155 Bytes)

[#003] sha256:31451232b129e45d3b41a480e8f13df618906b6c2d3f6808dd70af1c71c0c154 - 83.27% (53.4 MB)

[#004] sha256:46bf8ca3358da3ae665e1c0c6e8a117f99178132f6a06593366c7ddce01cbd06 - 0.0% (544 Bytes)

[#005] sha256:916486c0da5ab2c0c64755b93c82d4ac57ad744c716cf205359b065b6096fcc1 - 0.0% (1018 Bytes)

[#006] sha256:ff6e4d5edf6083ebb0300314dd90b0e4f40774a97e9394beaef654f635ec9bc2 - 0.0% (150 Bytes)

[#007] sha256:b598f2ed6f9fffa88a0dd4af8122cbbb4d0383b323de4bbbb671c77d790f74e6 - 9.63% (6.17 MB)

[#008] sha256:0e6a38cf5d478452ab564814ed415a03fd8e566b58acdf6ee1388def50e49288 - 0.0% (1.28 KB)

[#009] sha256:d34f80a9f85d33aa617ebc418c71f03b18aab259e5b8c4211374bbaed978d539 - 0.0% (980 Bytes)

[#010] sha256:9c333460c45808f2731f666614c70d9abb31a212c6e1c078b984bd50adee65ea - 0.0% (2.56 KB)


History
2021-06-15 21:45:03 UTC

/bin/sh -c #(nop) ADD file:ca9d8b5d1cc2f2186983fc6b9507da6ada5eb92f2b518c06af1128d5396c6f34 in /

2021-06-15 21:45:04 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-06-15 22:33:59 UTC

/bin/sh -c apk add --no-cache ca-certificates openssh-client

2021-06-15 22:34:00 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2021-06-15 22:34:33 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=19.03.15

2021-06-15 22:34:37 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-19.03.15.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-19.03.15.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-19.03.15.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-19.03.15.tgz'; ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; wget -O docker.tgz "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2021-06-15 22:34:37 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2021-06-15 22:34:37 UTC

/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/

2021-06-15 22:34:38 UTC

/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs

2021-06-15 22:34:38 UTC

/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client

2021-06-15 22:34:39 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-06-15 22:34:39 UTC

/bin/sh -c #(nop) CMD ["sh"]

2021-06-15 22:34:47 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2021-06-15 22:34:47 UTC

/bin/sh -c set -eux; addgroup -S dockremap; adduser -S -G dockremap dockremap; echo 'dockremap:165536:65536' >> /etc/subuid; echo 'dockremap:165536:65536' >> /etc/subgid

2021-06-15 22:34:48 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=42b1175eda071c0e9121e1d64345928384a93df1

2021-06-15 22:34:49 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2021-07-21 18:40:04 UTC

/bin/sh -c #(nop) COPY file:89f2c7c1492b0cb067fc6be48e1edf3f04c0b6063371da4a48cd4ca35aa098d7 in /usr/local/bin/

2021-07-21 18:40:04 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2021-07-21 18:40:04 UTC

/bin/sh -c #(nop) EXPOSE 2375 2376

2021-07-21 18:40:04 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2021-07-21 18:40:04 UTC

/bin/sh -c #(nop) CMD []

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete